%define rel 1
%define srcname ktp-contact-list 
%define with_kpeople 1

Summary:        Telepathy contact list application
Name:           telepathy-kde-contact-list
Version: 17.12.2
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
Source0:        http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.xz


BuildRequires:  telepathy-kde-common-internals-devel >= %{version}
BuildRequires:  telepathy-qt-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  telepathy-logger-qt5-devel

BuildRequires:  kf5-macros
BuildRequires:  kdbusaddons-devel
BuildRequires:  kio-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kcmutils-devel

%if %{with_kpeople}
BuildRequires:  kpeople-devel
%endif
Requires:       telepathy-kde-text-ui >= %{version}
Requires:       telepathy-kde-accounts-kcm = %{version}
Requires:       telepathy-kde-auth-handler = %{version}
Requires:       telepathy-kde-filetransfer-handler = %{version}
Requires:       telepathy-kde-approver = %{version}
Requires:       telepathy-mission-control

# Need to check for a kf5 version
#Recommends:     kte-collaborative


#Needed for Jabber
Requires:       telepathy-gabble
# needed by MSN
Recommends:     telepathy-butterfly
# various protocol provided by libpurple
Recommends:     telepathy-haze
# needed for local XMPP
Recommends:     telepathy-salut
# needed for irc
Recommends:     telepathy-idle

Recommends:     telepathy-kde-contact-applet >= %{version}

# Added on 2011/11/27 
Obsoletes:      telepathy-contact-list < 0.2.0-0

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Telepathy contact list application.

%files -f %name.lang
%{_kf5_bindir}/ktp-contactlist
%{_kf5_datadir}/applications/org.kde.ktpcontactlist.desktop
%_datadir/dbus-1/services/org.kde.ktpcontactlist.service

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name} --all-name


%changelog
* Thu Feb 22 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1204133
- New version 17.12.2

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090189
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076931
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072121
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067438
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061502
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050765
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049459
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040168
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014301
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006723
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998050
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993237
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987660
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922723
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905448
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901184
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890677
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880477
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865995
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863643
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862235
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859975
- New version 15.07.80

* Sun Jul 19 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855306
- New version 15.04.3

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813748
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 742575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689800
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667404
- Update to 0.8.1
- add upstream patches from kde-telepathy-0.8 branch
- add BuildRequires kpeople-devel

* Sun Mar 16 2014 fwang <fwang> 0.8.0-2.mga5
+ Revision: 604214
- fix requires

* Sun Mar 16 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 604113
- 0.8.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595820
- 0.7.80

* Mon Feb 17 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 593150
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549309
- Update to 0.7.0

* Tue Oct 22 2013 umeabot <umeabot> 0.7-0.beta1.3.mga4
+ Revision: 541439
- Mageia 4 Mass Rebuild

  + mikala <mikala>
    - Add a switch for kpeople BR

* Sat Oct 12 2013 mikala <mikala> 0.7-0.beta1.2.mga4
+ Revision: 495912
- Add kte-collaborative as suggest

* Wed Oct 09 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493875
- Add kpeople-devel as BR
- Update tarball to 0.6.80

  + fwang <fwang>
    - new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429057
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407396
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402395
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399557
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332483
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306897
- Update tarball to 0.5.1

* Fri Aug 31 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 286011
- Update tarball to 0.5.0

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271800
- New version 0.4.0

  + mikala <mikala>
    - Add a provide for telepathy-contact-list

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202931
- Update URL
- Add requires for jabber & suggests for others telepathy protocols here
- Update tarball to 0.3.0
- Remove tabs
- Remove useless provides

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173260
- Update tarball to 0.2.0
- Fix requires
- add missing requires for telepathy-mission-control ( mga #3494)
- Rename package to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111003.1.mga2
+ Revision: 152785
- Update git snapshot

* Thu Sep 22 2011 mikala <mikala> 0.1-0.git20110921.1.mga2
+ Revision: 146697
- Update git snapshot
- requires now telepathy-text-ui (new name of telepathy-chat-handler)
- Update tarball
- Fix files list
- add conflicts to ease upgrade

* Sat Jun 25 2011 dmorgan <dmorgan> 0.0-0.git20110624.2.mga2
+ Revision: 113330
- Enhance requires

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 112915
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110414.1.mga1
+ Revision: 86590
- imported package telepathy-contact-list

